## org.apache.lucene.spatial.tier
Class DistanceFieldComparatorSource

    java.lang.Object
      org.apache.lucene.search.FieldComparatorSource
          org.apache.lucene.spatial.tier.DistanceFieldComparatorSource

All Implemented Interfaces:
  java.io.Serializable

    public class DistanceFieldComparatorSource

extends org.apache.lucene.search.FieldComparatorSource

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`DistanceFieldComparatorSource(org.apache.lucene.search.Filter distanceFilter)`

Method Summary
`void` `cleanUp()`
`org.apache.lucene.search.FieldComparator` `newComparator(java.lang.String fieldname, int numHits, int sortPos, boolean reversed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceFieldComparatorSource

    public DistanceFieldComparatorSource(org.apache.lucene.search.Filter distanceFilter)

Method Detail

### cleanUp

    public void cleanUp()

### newComparator

    public org.apache.lucene.search.FieldComparator newComparator(java.lang.String fieldname,
                                                                  int numHits,
                                                                  int sortPos,
                                                                  boolean reversed)
                                                           throws java.io.IOException

  Specified by:
    `newComparator` in class `org.apache.lucene.search.FieldComparatorSource`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.